/**
 * [CSRD] Mounted Directory Map Fix
 * 
 * Fixes maps in custom search paths not being added to the download table.
 */
#pragma semicolon 1
#include <sourcemod>

#include <sdktools>

#pragma newdecls required

#define PLUGIN_VERSION "1.0.0"
public Plugin myinfo = {
	name = "[CSRD] Mounted Directory Map Fix",
	author = "nosoop",
	description = "Fixes maps not being added to the download table.",
	version = PLUGIN_VERSION,
	url = "https://git.csrd.science/"
}

public void OnMapStart() {
	char mapName[PLATFORM_MAX_PATH], mapPath[PLATFORM_MAX_PATH];
	GetCurrentMap(mapName, sizeof(mapName));
	
	Format(mapPath, sizeof(mapPath), "maps/%s.bsp", mapName);
	
	if (!FileExists(mapPath) && StrContains(mapName, "workshop/") == -1) {
		FindMapResult findResult = FindMap(mapName, mapName, sizeof(mapName));
		if (findResult != FindMap_NotFound && findResult != FindMap_PossiblyAvailable) {
			Format(mapPath, sizeof(mapPath), "maps/%s.bsp", mapName, sizeof(mapName));
			
			AddFileToDownloadsTable(mapPath);
		}
	}
}
